[Prev: FIELDSTORE] | [Resources][TOC] | [Next: FILEPERMS]

# FIELDSTYLES

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<FIELDSTYLES>
  ` field_name`:`html_element
  field_name`:`html_element
  ...
  `</FIELDSTYLES>
  `

Command-line Option

  N/A

## Description

The FIELDSTYLES resource is set via the `FIELDSTYLES` element. Each line in the `FIELDSTYLES` element defines HTML elements to wrap around the field text in mail headers (e.g. "`To:` field text", "`From:` field text"). The format of each line is "field_name`:`html_element". This specifies to wrap html_element around the text associated with field_name. If html_element is empty, then the field text is not wrapped in any element.

MHonArc defines a special field_name called "`-default-`". This is default HTML element to wrap field text in if no explicit specific element is defined for the label.

field_name must be the exact name of a header field name, but character case is ignored.

## Default Setting

    <FieldStyles>
    -default-
    </FieldStyles>

## Resource Variables

N/A

## Examples

The following causes the subject text to appear in bold and all other field text to be in italics:

    <FieldStyles>
    subject:b
    -default-:i
    </FieldStyles>

## Version

1.0

## See Also

EXCS, FIELDORDER, FIELDSBEG, FIELDSEND, FLDBEG, FLDEND, LABELBEG, LABELEND, LABELSTYLES

[Prev: FIELDSTORE] | [Resources][TOC] | [Next: FILEPERMS]